7.11. AAlib – affichage en mode texte
Précédent | Chapitre 7. Sorties vidéo | Suivant

## 7.11. AAlib – affichage en mode texte

AAlib est une librairie affichant des graphismes en mode texte, en utilisant un puissant moteur de rendu ASCII. De nombreux programmes le supportent déjà, comme Doom, Quake, etc. MPlayer possède pour cela un pilote parfaitement utilisable. Si `./configure` détecte une installation de aalib, le pilote aalib libvo sera compilé.

Vous pouvez utiliser certains raccourcis clavier dans le fenêtre AA pour changer les options de rendu :

Touche | Action
--- | ---
1 | diminue le contraste
2 | augmente le contraste
3 | diminue la luminosité
4 | augmente la luminosité
5 | active/désactive le rendu rapide
6 | change le mode de dithering (none, error distribution, Floyd Steinberg)
7 | inverse l'image
8 | passe des contrôles de aa vers ceux de MPlayer et vice-versa

Vous pouvez utiliser les lignes de commande suivantes :

`-aaosdcolor=`V``

  change la couleur de l'OSD

`-aasubcolor=`V``

  Change la couleur des sous-titres

  where `V` peut être : `0` (normal), `1` (noir), `2` (gras), `3` (fontes grasses), `4` (inversé), `5` (spécial).

AAlib elle-même propose de nombreuses options. En voici les principales :

`-aapilote`

  Choisit le pilote aa (X11, curses, Linux)

`-aaextended`

  Utilise les 256 caractères

`-aaeight`

  Utilise l'ASCII 8 bits

`-aahelp`

  Affiche toutes les options de AAlib

### Note

Le rendu prend beaucoup de temps CPU, spécialement en utilisant AA-on-X (AAlib sur X), et prend moins de CPU sur une console standard, sans framebuffer. Utilisez SVGATextMode pour passer en mode texte large, et appréciez ! (une carte hercules en second écran, c'est génial :)) (mais à mon humble avis vous pouvez utiliser l'option `-vf 1bpp` pour avoir des graphismes sur hgafb :)).

Utilisez l'option `-framedrop` si votre machine n'est pas suffisamment rapide pour afficher toutes les trames !

Sur un terminal vous obtiendrez de meilleures performances en utilisant le pilote linux, et pas curses (`-aapilote linux`). Cependant vous devez avoir un accès en écriture sur `/dev/vcsa`<terminal>``. Ce n'est pas autodétecté par aalib, mais vo_aa essaie de déterminer le meilleur mode. Voir http://aa-project.sf.net/tune pour une meilleure optimisation.

Précédent | Niveau supérieur | Suivant
7.10. Sortie OpenGL | Sommaire | 7.12. `libcaca` – Librairie ASCII Art en couleur